Authorize data source
curl --request POST \
--url https://sitegpt.ai/api/v2/chatbots/{chatbotId}/knowledge/sources/{connectionId}/authorize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clientRedirectUrl": "https://sitegpt.ai/agents/files-selected"
}
'import requests
url = "https://sitegpt.ai/api/v2/chatbots/{chatbotId}/knowledge/sources/{connectionId}/authorize"
payload = { "clientRedirectUrl": "https://sitegpt.ai/agents/files-selected" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({clientRedirectUrl: 'https://sitegpt.ai/agents/files-selected'})
};
fetch('https://sitegpt.ai/api/v2/chatbots/{chatbotId}/knowledge/sources/{connectionId}/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"source": {
"id": "source-id",
"name": "Example source",
"createdAt": "2026-05-13T00:00:00.000Z"
}
},
"meta": {
"requestId": "request-id"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"requestId": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"requestId": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"requestId": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"requestId": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"requestId": "<string>"
}
}Knowledge Sources
Authorize data source
Generate a fresh authorization/picker URL for an existing OAuth source so users can add/change selected files. For Notion, run ingest after OAuth because selected pages are discovered during ingest.
Required scope: knowledge:write.
POST
/
api
/
v2
/
chatbots
/
{chatbotId}
/
knowledge
/
sources
/
{connectionId}
/
authorize
Authorize data source
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Optional redirect URL after OAuth/picker selection.
Was this page helpful?
⌘I